header {
    background-color: #110022;
    position: fixed;
    width: 100%;
    z-index: 99999;
    top: 0;
}

header #header-top .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.5rem;
}

header #header-top .container ul {
    display: flex;
    gap: 5px;
}

header #header-top .container ul li a img {
    width: 32px;
    height: auto;
}

header #header-top .container .logo img {
    width: 230px;
}

header #header-top .container .search {
    position: relative;
}

header #header-top .container .search input {
    font-size: 12px;
    border-radius: 0.25rem;
    padding: 5px 5px 5px 20px;
    border: none;
    outline: none;
    height: 30px;
}

header #header-top .container .search input::-moz-placeholder {
    font-size: 12px;
}

header #header-top .container .search input::placeholder {
    font-size: 12px;
}

header #header-top .container .search button {
    right: -1px;
    border: none;
    color: #fff;
    height: 30px;
    border-radius: 0 0.25rem 0.25rem 0;
    width: 40px;
    position: absolute;
    background-color: #112855;
}

header #header-top .container .search button:hover {
    background-color: #424077;
    transition: 0.5s;
}

header #header-top .container .right {
    display: none;
    align-items: center;
    gap: 10px;
}

header #header-top .container .right .search-res {
    position: relative;
}

header #header-top .container .right .search-res form .search-res-input {
    position: absolute;
    height: 35px;
    right: 28px;
    top: -6px;
    border-radius: 5px;
    border: none;
    width: 0;
    transition: width 0.3s ease;
    overflow: hidden;
}

header #header-top .container .right .search-res form .search-res-input.active {
    width: 230px;
    padding: 0 10px;
}

header #header-top .container .right .search-res form .search-res-btn {
    background: none;
    border: none;
    color: #Fff;
    font-size: 20px;
}

header #header-top .container .right .burger-menu {
    border: 1px solid #fff;
    padding: 5px 10px;
    background: none;
    border-radius: 4px;
    display: none;
}

header #header-top .container .right .burger-menu i {
    color: #fff;
    font-size: 22px;
}

header #nav-links {
    padding-bottom: 0.6em;
}

header #nav-links .container {
    padding: 0.5rem;
    display: flex;
    align-items: center;
    gap: 25px;
}

header #nav-links .container .search {
    display: none;
}

header #nav-links .container .home {
    color: #fff;
    padding-bottom: 10px;
    display: inline-block;
    position: relative;
}

header #nav-links .container .home::after {
    content: "";
    position: absolute;
    bottom: 0;
    width: 100%;
    left: 0;
    height: 2px;
    background-color: #fff;
    transition: width 0.4s ease, left 0.4s ease;
    opacity: 0.3;
}

header #nav-links .container nav ul {
    display: flex;
    gap: 25px;
    justify-content: space-between;
}

header #nav-links .container nav ul li {
    position: relative;
}

header #nav-links .container nav ul li:hover .submenu {
    overflow: overlay;
    height: auto;
    padding: 12px 8px;
}

header #nav-links .container nav ul li .submenu {
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    position: absolute;
    z-index: 9999;
    display: flex;
    flex-direction: column;
    gap: 8px;
    background: #eee;
    height: 0;
    left: 0;
    overflow: hidden;
    position: absolute;
    transition: all 0.5s ease;
    top: 25px;
    width: 200px;
    background: #eee;
}

header #nav-links .container nav ul li .submenu li {
    background-color: #fff;
}

header #nav-links .container nav ul li .submenu li a {
    color: #383838;
    padding: 8px;
    font-size: 13px;
}

header #nav-links .container nav ul li .submenu li a:hover {
    text-decoration: underline;
}

header #nav-links .container nav ul li i {
    color: #fff;
    font-size: 12px;
    margin-left: 5px;
}

header #nav-links .container nav ul li a {
    color: #fff;
    padding-bottom: 10px;
    display: inline-block;
    position: relative;
    text-decoration: none;
}

header #nav-links .container nav ul li a::after {
    content: "";
    position: absolute;
    bottom: 0;
    left: 50%;
    width: 0;
    height: 2px;
    background-color: #fff;
    transition: width 0.4s ease, left 0.4s ease;
    opacity: 0.3;
}

header #nav-links .container nav ul li a:hover::after {
    width: 100%;
    left: 0;
}

header .responsive-menu {
    overflow: hidden;
    max-height: 0;
}

/* widgets hava mezenne namaz vaxtlari */
.widgets {
    display: flex;
    align-items: center;
    gap: 10px;
}

.widget.widget-weather {
    margin-left: 60px;
}

a.widget,
a.widget:hover {
    display: flex;
    background-color: transparent !important;
    border: none !important;
    border-radius: none !important;
    color: #fff !important;
}

.widget {
    display: flex;
    align-items: center;
    color: #fff;
    gap: 5px;
}

.widget__icon img {
    width: 42px;
    height: 42px;
    object-fit: contain;
}

.widget.widget-currency .widget__icon img {
    width: 42px;
    height: 42px;
    object-fit: cover;
    border-radius: 50%;
}

.widget__icon i {
    display: inline-flex;
    align-items: center;
    justify-content: center;

    font-size: 21px;
    width: 32px;
    height: 32px;
    border: 1px solid #fff;
    border-radius: 50%;
}

.widget__info--title {
    display: inline-flex;
    color: #ffc25a;
    font-size: 13px;
    font-weight: bold;
    margin-bottom: 7px;
}

.widget.widget-weather .widget__info--value {
    text-wrap: nowrap;
}

.n-tablet,
.n-mobile,
.mobile-top-section {
    display: none !important;
}

/* responsive */
@media only screen and (max-width: 1299px) {

    header #nav-links .container nav ul {
        gap: 5px;
    }

    header #nav-links .container nav {
        width: 100%;
    }

    header #nav-links .container nav ul a {
        font-size: 14px;
    }
}

@media only screen and (max-width: 1024px) {
    .n-tablet {
        display: flex !important;
        margin-left: 0 !important;
    }

    header #header-top .container {
        justify-content: space-between;
    }

    header #header-top .container ul {
        display: none;
    }

    header #header-top .container .search {
        display: none;
    }

    header #header-top .container .right {
        display: flex;
    }

    header #header-top .container .right .burger-menu {
        display: block;
    }

    header #nav-links {
        display: none;
    }

    header .responsive-menu {
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s ease;
    }

    header .responsive-menu .container {
        padding: 0.5em;
    }

    header .responsive-menu .container ul {
        display: flex;
        flex-direction: column;
        gap: 12px;
        margin: 15px;
    }

    header .responsive-menu .container ul li a {
        color: #fff;
    }

    header .responsive-menu-active {
        max-height: 500px;
        transition: max-height 0.5s ease;
        overflow: overlay;
        display: block;
    }

    header .responsive-menu-active .container ul li i {
        color: #fff;
        font-size: 12px;
        margin-left: 5px;
    }

    header .responsive-menu-active .container ul .responsive-submenu {
        display: none;
    }
}

@media only screen and (max-width: 767px) {

    .n-tablet {
        display: none !important;
    }

    .n-mobile {
        display: flex !important;
    }

    .mobile-top-section {
        display: flex !important;
        align-items: center;
        justify-content: space-evenly;
        gap: 10px;

        width: 100%;
        padding: 9px 6px;
        border-bottom: 1px solid #ddd;
    }

    .mobile-top-section>div {
        display: flex;
        align-items: center;
        gap: 15px;
    }

    .widget.widget-weather {
        margin-left: 0;
    }

    .widgets {
        display: none;
    }

    .widget.widget-prayer .widget__icon img,
    .widget.widget-currency .widget__icon img {
        width: 32px;
        height: 32px;
    }

    .widget__info--title {
        font-size: 10px;
    }

    .widget__info--value {
        font-size: 13px;
    }

    .website-socials {
        gap: 5px !important;
    }

}

@media only screen and (max-width: 578px) {

    .mobile-top-section .website-socials {
        display: none;
    }
}

@media only screen and (max-width: 390px) {

    .mobile-top-section .widget__icon {
        display: none !important;
    }
}